<bugID>1402832<Summary>[meta] Developer Tools maintenance: polish and debt</Summary><Description>This is a meta bug to track clean up work in order to keep our code in a healthy state. This bug will block Bug 1387114.

The bugs falling under this category address aspects such as:

- technical debt: removing duplicate/dead code, enabling ESlint if it's not, adding tests [if they/which] are missing, improving code quality, etc
- polish: often described as paper cuts or 'little annoying details that all together make using the tools very uncomfortable'</Description></bugID>